import { serviceURL } from "@/services/request"

// 获取当前所运行的是哪个项目
export enum OemType {
    manager = 'qyfg', // 企业风管
    qinghaijin = 'qhj', // 千海金
    wrspot = 'yrdz', // 仓单贸易
    pingan = 'pingan', // 平安
    tian_jing_mai_dun = 'tjmd', // 天津麦顿
}

// 获取当前项目
export function getOem(): OemType {
    return serviceURL.oem as OemType
}

// 根据枚举判断是否为某个项目
export function isOemByEnum(type: OemType): boolean {
    return getOem() === type
}

// 是否是平安项目
export function isPingAnOem() {
    return isOemByEnum(OemType.pingan)
}

// 是否是千海金
export function isQianHaiJin() {
    return isOemByEnum(OemType.qinghaijin)
}